# Script: Zombify Menu
# Author: Caskio
# bind "zombify" to a key in the console to use.
# eg. bind "/" "zombify"
# ./addons/eventscripts/zombify/zombify.py

import es
import playerlib
import popuplib
import keyvalues

info = es.AddonInfo()
info.name = 'Zombify'
info.version = '3.0'
info.url = 'http://addons.eventscripts.com/addons/view/zombify'
info.basename = 'zombify'
info.author = 'Caskio'

def load():
   	es.regclientcmd('zombify', 'zombify/zombify_popup_check', 'This opens the menu')
   	es.regsaycmd('!zombify', 'zombify/zombify_popup_check', 'This opens the menu')
   	es.keygroupdelete('zadmin')
   	es.keygroupload('zadmin','|zombify')

	es.set('zombify_ver', '3.0')
    	es.makepublic('zombify_ver')

   	zadmin_menu = popuplib.create('zombify_menu')
   	zadmin_menu.addline('| Zombify Menu |')
   	zadmin_menu.addline('->1. Zombify a Player')
   	zadmin_menu.addline('->2. Spawn a Player (HUMAN)')
   	zadmin_menu.addline('->3. Spawn a Player (ZOMBIE)')
   	zadmin_menu.addline('->4. Spawn Props')
   	zadmin_menu.addline(' ')
   	zadmin_menu.addline('0. Cancel')
   	zadmin_menu.menuselect = zombify_menuselect 

	zadmin_props = popuplib.create('zprops')
	zadmin_props.addline('| Props Menu |')
	zadmin_props.addline('->1. Crate')
	zadmin_props.addline('->2. Filling Cabinet')
	zadmin_props.addline('->3. Dryer')
	zadmin_props.addline('->4. Barrel')
	zadmin_props.addline('->5. Exploding Barrel')
	zadmin_props.addline(' ')
	zadmin_props.addline('0. Cancel')
	zadmin_props.menuselect = zprops_menuselect 

def unload():
	zadmin_menu.delete('zombify_menu')
	zadmin_props.delete('zprops')
	es.keygroupdelete('zadmin')

def zombify_popup_check():
	user = es.getcmduserid()
   	playersteamid = es.getplayersteamid(user)
   	access = es.keygetvalue('zadmin', playersteamid, 'name')
   	if access > 1:
		popuplib.send('zombify_menu',user)
   	else:
   	   	es.tell(user, 'You do not have permission to access this menu.')

def zombify_menuselect(userid, choice, popupid):
   	if choice == 1:
   	   	zombify_player(userid)
   	elif choice == 2:
   	   	spawn_human(userid)
   	elif choice == 3:
   	   	spawn_zombie(userid)
   	elif choice == 4:
   	   	zprops_menu(userid)

def zombify_player(userid):
	playersteamid = es.getplayersteamid(userid)
   	zombify_access = es.keygetvalue('zadmin', playersteamid, 'can_zombify')
   	if zombify_access > 0:
   		zombifiable = popuplib.easymenu('player_list', '_popup_choice', zombify_playerSelected)
   		zombifiable.settitle('| Select a player |') 
   		playerlist = playerlib.getPlayerList('#ct') 
   		for player in playerlist:
   		   	z_userid = int(player)
   		   	z_name = player.get('name')
   		   	zombifiable.addoption(z_userid, z_name)
   		zombifiable.send(userid) 
   	else:
   	   	es.tell(user, 'You do not have permission to access this menu.')

def zombify_playerSelected(caller, target, menuname):
   	player = playerlib.getPlayer(target)
	zombiename = player.get('name')
   	es.server.cmd('zombie_player ' + zombiename)

def zprops_menu(userid):
	playersteamid = es.getplayersteamid(userid)
   	prop_access = es.keygetvalue('zadmin', playersteamid, 'canspawn_p')
   	if prop_access > 0:
		popuplib.send('zprops',userid)
   	else:
   	   	es.tell(user, 'You do not have permission to access this menu.')

def zprops_menuselect(userid, choice, popupid):
   	if choice == 1:
   	   	spawn_crate(userid)
   	elif choice == 2:
   	   	spawn_filling_cabinet(userid)
   	elif choice == 3:
   	   	spawn_dryer(userid)
   	elif choice == 4:
   	   	spawn_barrel(userid)
   	elif choice == 5:
   	   	spawn_exploding_barrel(userid)

def spawn_crate(userid):
	es.prop_physics_create(userid, 'props_junk/wood_crate001a.mdl')
	popuplib.send('zprops',userid)

def spawn_filling_cabinet(userid):
	es.prop_physics_create(userid, 'props/cs_office/file_cabinet1.mdl')
	popuplib.send('zprops',userid)

def spawn_dryer(userid):
	es.prop_physics_create(userid, 'props/cs_militia/dryer.mdl')
	popuplib.send('zprops',userid)

def spawn_barrel(userid):
	es.prop_physics_create(userid, 'props/de_train/Barrel.mdl')
	popuplib.send('zprops',userid)

def spawn_exploding_barrel(userid):
	es.prop_physics_create(userid, 'props_c17/oildrum001_explosive.mdl')
	popuplib.send('zprops',userid)

def spawn_human(userid):
	playersteamid = es.getplayersteamid(userid)
   	hum_access = es.keygetvalue('zadmin', playersteamid, 'canspawn_h')
   	if hum_access > 0:
   		human = popuplib.easymenu('player_list2', '_popup_choice', human_playerSelected)
   		human.settitle('| Select a player |') 
   		playerlist2 = playerlib.getPlayerList('#dead') 
   		for player in playerlist2:
   		   	h_userid = int(player)
   		   	h_name = player.get('name')
   		   	human.addoption(h_userid, h_name)
   		human.send(userid) 
   	else:
   	   	es.tell(user, 'You do not have permission to access this menu.')

def human_playerSelected(caller, target, menuname):
	player = playerlib.getPlayer(target)
	es.changeteam(str(target), 3)
	es.server.cmd('est_Spawn ' + str(target) + ' 1')

def spawn_zombie(userid):
	playersteamid = es.getplayersteamid(userid)
   	zom_access = es.keygetvalue('zadmin', playersteamid, 'canspawn_z')
   	if zom_access > 0:
   		zombie = popuplib.easymenu('player_list3', '_popup_choice', zombie_playerSelected)
   		zombie.settitle('| Select a player |') 
   		playerlist3 = playerlib.getPlayerList('#dead') 
   		for player in playerlist3:
   		   	m_userid = int(player)
   		   	m_name = player.get('name')
   		   	zombie.addoption(m_userid, m_name)
   		zombie.send(userid) 
   	else:
   	   	es.tell(user, 'You do not have permission to access this menu.')

def zombie_playerSelected(caller, target, menuname):
   	player = playerlib.getPlayer(target)
	es.changeteam(str(target), 2)
	zombiename = player.get('name')
   	es.server.cmd('est_Spawn ' + str(target) + ' 1')
   	es.server.cmd('zombie_player ' + zombiename)


